#ifndef __MLX90614_IR_TEMP_H
#define __MLX90614_IR_TEMP_H

#include "ringBuffer.h"
#include "osv3_thgr810_sensor.h"

class Mlx90614IrTemp  : public Osv3Thgr810Sensor
{
  private:
    RingBuffer<float> m_temperature; 

    float readTemp(void);
    void buildAndSendTempPacket();

  public:
    Mlx90614IrTemp();
    ~Mlx90614IrTemp();

    void loop(void);
};

#endif
