#ifndef __OSV3_DOCK_SENSOR_H
#define __OSV3_DOCK_SENSOR_H

#include "pins_arduino.h"

// pin assignments
#define LED_PIN           3
#define TEMP_POWER_PIN    4
#define TX_POWER_PIN      5
#define TX_DATA_PIN       6
#define PING_POWER_PIN    7
#define PING_TRIGGER_PIN  8
#define ECHO_PIN          9

#define I2C_SDA           A4
#define I2C_SCL           A5


// channel assignments
#define HEIGHT_CHANNEL  2  // 59 second period
#define TEMP_CHANNEL    3  // 61 second period

#endif
