#ifndef __HC_SR04_PING_H
#define __HC_SR04_PING_H

#include "ringBuffer.h"
#include "osv3_thgr810_sensor.h"

class HcSr04Ping : public Osv3Thgr810Sensor
{
  private:
    RingBuffer<float> m_waterLevel;
    RingBuffer<float> m_waveHeights;

    float readDistance(int attempts);
    float readDistance(void);    
    float microsecondsToInches(unsigned long microseconds);
    void buildAndSendHeightPacket(float low, float high);

  public:
    HcSr04Ping();
    ~HcSr04Ping();
    
    void loop(void);
};

#endif
